openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RFC_SAF_API_SEARCH:
    post:
      tags:
      - CRM_SAF_RFC_SE
      summary: 'SAF: RFC API for search'
      operationId: /rfc/RFC_SAF_API_SEARCH
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IT_ATTRQUERY:
                  type: array
                  items:
                    type: object
                    properties:
                      OP_TYPE:
                        type: string
                        maxLength: 10
                        description: 'SAF: Types for boolean operation'
                      NAME:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute name for knowledge repository'
                      OPERATION:
                        type: string
                        maxLength: 10
                        description: 'SAF: Boolean operation types'
                      VALUE1:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute description for knowledge repository'
                      VALUE2:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute description for knowledge repository'
                IT_EXT_SECURITY_CRITERIA:
                  type: array
                  items:
                    type: object
                    properties:
                      NAME:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute name for knowledge repository'
                      VALUE:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute name for knowledge repository'
                IT_RETURN_ATTRIBUTE:
                  type: array
                  items:
                    type: object
                    properties:
                      INDEX_NAME:
                        type: string
                        description: SAF - String
                      ATTRIBUTE_NAME:
                        type: string
                        maxLength: 255
                        description: 'SAF: Attribute name for knowledge repository'
                IT_TEXTQUERY:
                  type: array
                  items:
                    type: object
                    properties:
                      TEXT:
                        type: string
                        description: ''
                      QUERY_TYPE:
                        type: string
                        maxLength: 10
                        description: Character Field Length = 10
                IV_APP_NAME:
                  type: string
                  default: ' '
                  maxLength: 20
                  description: 'SAF: Application Name'
                IV_CHECK_SECURITY:
                  type: string
                  default: X
                  maxLength: 1
                  description: boolean variable (X=true, -=false, space=unknown)
                IV_KB_NAME:
                  type: string
                  default: SDB
                  maxLength: 30
                  description: 'SAF: Name of knowledge base'
                IV_LANGUAGE:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language key
                IV_MAX_HIT:
                  type: integer
                  format: int32
                  default: 50
                  description: boolean variable (X=true, -=false, space=unknown)
                IV_USER_NAME:
                  type: string
                  default: SY-UNAME
                  maxLength: 12
                  description: SAP System, User Logon Name
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_ATTRIBUTE:
                    type: array
                    items:
                      type: object
                      properties:
                        NAME:
                          type: string
                          maxLength: 255
                          description: 'SAF: Attribute name for knowledge repository'
                        VALUE:
                          type: string
                          maxLength: 255
                          description: 'SAF: Attribute name for knowledge repository'
                  ET_PROPERTY:
                    type: array
                    items:
                      type: object
                      properties:
                        KB_NAME:
                          type: string
                          maxLength: 30
                          description: Name of Knowledge Base
                        LANGU:
                          type: string
                          maxLength: 1
                          description: Language Key
                        KB_ID:
                          type: string
                          maxLength: 50
                          description: Knowledge Base Entity ID
                        INDEX_NAME:
                          type: string
                          maxLength: 32
                          description: 'SAF: Search index name'
                        ATTRIBUTE_NAME:
                          type: string
                          maxLength: 255
                          description: 'SAF: Attribute name for knowledge repository'
                        ATTRIBUTE_VALUE:
                          type: string
                          maxLength: 255
                          description: 'SAF: Attribute description for knowledge repository'
                  ET_RESULT:
                    type: array
                    items:
                      type: object
                      properties:
                        KB_ID:
                          type: string
                          maxLength: 50
                          description: Knowledge Base Entity ID
                        INDEX_NAME:
                          type: string
                          maxLength: 32
                          description: 'SAF: Search index name'
                        RANK:
                          type: string
                          maxLength: 10
                          description: EI search service returned hitlist rank value
                        CLUSTER_ID:
                          type: string
                          maxLength: 20
                          description: 'SAF: Date type for cluster ID'
                        LANGU:
                          type: string
                          maxLength: 1
                          description: Language Key
                        KB_NAME:
                          type: string
                          maxLength: 30
                          description: Name of Knowledge Base
                        DESCRIPTION:
                          type: string
                          description: Description
                  ET_RETURN_CODE:
                    type: array
                    items:
                      type: object
                      properties:
                        CODE:
                          type: integer
                          format: int32
                          description: Natural number
                        NAME:
                          type: string
                          description: SAF - String
                        TEXT:
                          type: string
                          description: SAF - String
                  EV_NO_HIT:
                    type: integer
                    format: int32
                    description: SAP System, User Logon Name
                  EV_SUCCESS:
                    type: string
                    maxLength: 1
                    description: boolean variable (X=true, -=false, space=unknown)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
